import Link from "next/link";

import { Mail, Phone, Truck } from "lucide-react";

import { Button } from "@/components/ui/button";

export default function TopBar() {
  return (
    <div className="w-full bg-custom-primary text-custom-background">
      <div className="flex flex-col items-stretch sm:flex-row">
        <div className="relative flex items-center bg-custom-secondary px-4 py-2 sm:w-1/2 sm:pr-8">
          <div className="flex w-full items-center justify-around gap-2 lg:px-16">
            <Truck className="size-4 flex-shrink-0" />
            <span className="text-right text-xs sm:text-sm">
              شحن مجاني للطلبات التي تزيد عن 199 دولارا بالإضافة إلى أفضل خدمة
              عملاء في الصناعة
            </span>
          </div>
          <div className="absolute right-0 top-0 hidden h-full w-8 origin-top-right skew-x-12 bg-custom-secondary sm:block" />
        </div>

        <div className="flex flex-wrap items-center justify-between gap-4 px-4 py-2 sm:w-1/2 sm:justify-end lg:px-16">
          <Link
            href="mailto:bintaleb@bintaleb.com"
            className="flex items-center gap-1 text-sm transition-colors hover:text-custom-tertiary"
            aria-label="Send us an email"
          >
            <Mail className="size-4" />
            <span className="hidden sm:inline">bintaleb@bintaleb.com</span>
          </Link>

          <div className="h-4 w-px bg-background" aria-hidden="true" />

          <Link
            href="tel:92001334"
            className="flex items-center gap-1 text-sm transition-colors hover:text-custom-tertiary"
            aria-label="Call us"
          >
            <Phone className="size-4" />
            <span className="hidden sm:inline">92001334</span>
          </Link>

          <div className="h-4 w-px bg-background" aria-hidden="true" />

          <Button
            variant="ghost"
            size="sm"
            className="text-sm hover:bg-transparent hover:text-custom-tertiary focus-visible:ring-1 focus-visible:ring-custom-tertiary"
            aria-label="Switch language to Arabic"
          >
            العربية
          </Button>
        </div>
      </div>
    </div>
  );
}
